0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTC_round
Stable extensions

Include <glm/gtc/round.hpp> to use the features of this extension. More...

## Functions
template<typename genType >
GLM_FUNC_DECL genType | ceilMultiple (genType Source, genType Multiple)
| Higher multiple number of Source. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | ceilMultiple (vec< L, T, Q > const &Source, vec< L, T, Q > const &Multiple)
| Higher multiple number of Source. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | ceilPowerOfTwo (genIUType Value)
| Return the power of two number which value is just higher the input value, round up to a power of two. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | ceilPowerOfTwo (vec< L, T, Q > const &value)
| Return the power of two number which value is just higher the input value, round up to a power of two. More...
template<typename genType >
GLM_FUNC_DECL genType | floorMultiple (genType Source, genType Multiple)
| Lower multiple number of Source. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | floorMultiple (vec< L, T, Q > const &Source, vec< L, T, Q > const &Multiple)
| Lower multiple number of Source. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | floorPowerOfTwo (genIUType Value)
| Return the power of two number which value is just lower the input value, round down to a power of two. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | floorPowerOfTwo (vec< L, T, Q > const &value)
| Return the power of two number which value is just lower the input value, round down to a power of two. More...
template<typename genIUType >
GLM_FUNC_DECL bool | isMultiple (genIUType Value, genIUType Multiple)
| Return true if the 'Value' is a multiple of 'Multiple'. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | isMultiple (vec< L, T, Q > const &Value, T Multiple)
| Return true if the 'Value' is a multiple of 'Multiple'. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | isMultiple (vec< L, T, Q > const &Value, vec< L, T, Q > const &Multiple)
| Return true if the 'Value' is a multiple of 'Multiple'. More...
template<typename genIUType >
GLM_FUNC_DECL bool | isPowerOfTwo (genIUType Value)
| Return true if the value is a power of two number. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | isPowerOfTwo (vec< L, T, Q > const &value)
| Return true if the value is a power of two number. More...
template<typename genType >
GLM_FUNC_DECL genType | roundMultiple (genType Source, genType Multiple)
| Lower multiple number of Source. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | roundMultiple (vec< L, T, Q > const &Source, vec< L, T, Q > const &Multiple)
| Lower multiple number of Source. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | roundPowerOfTwo (genIUType Value)
| Return the power of two number which value is the closet to the input value. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | roundPowerOfTwo (vec< L, T, Q > const &value)
| Return the power of two number which value is the closet to the input value. More...

## Detailed Description

Include <glm/gtc/round.hpp> to use the features of this extension.

Rounding value to specific boundings

## Function Documentation

GLM_FUNC_DECL genType glm::ceilMultiple | ( | genType | Source,
|  | genType | Multiple
| ) |  |

Higher multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL vec<L, T, Q> glm::ceilMultiple | ( | vec< L, T, Q > const & | Source,
|  | vec< L, T, Q > const & | Multiple
| ) |  |

Higher multiple number of Source.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

Parameters

  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL genIUType glm::ceilPowerOfTwo | ( | genIUType | Value | ) |

Return the power of two number which value is just higher the input value, round up to a power of two.

See also
  GLM_GTC_round

GLM_FUNC_DECL vec<L, T, Q> glm::ceilPowerOfTwo | ( | vec< L, T, Q > const & | value | ) |

Return the power of two number which value is just higher the input value, round up to a power of two.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

See also
  GLM_GTC_round

GLM_FUNC_DECL genType glm::floorMultiple | ( | genType | Source,
|  | genType | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL vec<L, T, Q> glm::floorMultiple | ( | vec< L, T, Q > const & | Source,
|  | vec< L, T, Q > const & | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

Parameters

  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL genIUType glm::floorPowerOfTwo | ( | genIUType | Value | ) |

Return the power of two number which value is just lower the input value, round down to a power of two.

See also
  GLM_GTC_round

GLM_FUNC_DECL vec<L, T, Q> glm::floorPowerOfTwo | ( | vec< L, T, Q > const & | value | ) |

Return the power of two number which value is just lower the input value, round down to a power of two.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

See also
  GLM_GTC_round

GLM_FUNC_DECL bool glm::isMultiple | ( | genIUType | Value,
|  | genIUType | Multiple
| ) |  |

Return true if the 'Value' is a multiple of 'Multiple'.

See also
  GLM_GTC_round

GLM_FUNC_DECL vec<L, bool, Q> glm::isMultiple | ( | vec< L, T, Q > const & | Value,
|  | T | Multiple
| ) |  |

Return true if the 'Value' is a multiple of 'Multiple'.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

See also
  GLM_GTC_round

GLM_FUNC_DECL vec<L, bool, Q> glm::isMultiple | ( | vec< L, T, Q > const & | Value,
|  | vec< L, T, Q > const & | Multiple
| ) |  |

Return true if the 'Value' is a multiple of 'Multiple'.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

See also
  GLM_GTC_round

GLM_FUNC_DECL bool glm::isPowerOfTwo | ( | genIUType | Value | ) |

Return true if the value is a power of two number.

See also
  GLM_GTC_round

GLM_FUNC_DECL vec<L, bool, Q> glm::isPowerOfTwo | ( | vec< L, T, Q > const & | value | ) |

Return true if the value is a power of two number.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

See also
  GLM_GTC_round

GLM_FUNC_DECL genType glm::roundMultiple | ( | genType | Source,
|  | genType | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL vec<L, T, Q> glm::roundMultiple | ( | vec< L, T, Q > const & | Source,
|  | vec< L, T, Q > const & | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

Parameters

  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL genIUType glm::roundPowerOfTwo | ( | genIUType | Value | ) |

Return the power of two number which value is the closet to the input value.

See also
  GLM_GTC_round

GLM_FUNC_DECL vec<L, T, Q> glm::roundPowerOfTwo | ( | vec< L, T, Q > const & | value | ) |

Return the power of two number which value is the closet to the input value.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

See also
  GLM_GTC_round